This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 853331 - impossible to change Display Brightness from keyboard and Energy Saving Setting on Fedora 17 KDE
impossible to change Display Brightness from keyboard and Energy Saving Setti...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 02:05 EDT by Daniele
Modified: 2015-07-13 13:35 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:24:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniele 2012-08-31 02:05:39 EDT
Description of problem:
at the start-up of the system the brightness is at the lowest level so if i try to modify it pressing the dedicated keys on my HP Pavilion DV6 nothing happen but the screen display the level of increase and decrease of the brightness.
also form the Energy Saving Setting if i try to change le level nothing happen.
the only way to increase the level of brightness is form terminal using this command:

su -c "echo 10 > /sys/class/backlight/acpi_video0/brightness"

Version-Release number of selected component (if applicable):

3.5.2-3.fc17.x86_64 acpi_video0


How reproducible:

Boot and try set higher brightness with the dedicated keys on the keyboard or using Energy Saving Setting


Steps to Reproduce:
1.boot system
2.login KDE environment
3.ry set higher brightness using key shotcut (F2,F3 or fn+F2, fn+F3)
  
Actual results:
nothing happen, impossible to change brightness

Expected results:
Controling brightness up and down
Comment 1 Martin Bříza 2012-08-31 04:01:15 EDT
Hello,
I have the backlight setting files in the same folder in /sys/ and it's working alright for me on my Lenovo Thinkpad T520 (on Fedora 16 though but this shouldn't matter as KDE SC is the same version in them), so I suppose there is something wrong with your keyboard shortcuts.
Please, have a look in your settings (System settings -> Shortcuts and Gestures -> Global Keyboard Shortcuts -> (KDE Component) KDE Daemon) if it is set properly. There should be items named "Decrease/Increase Screen Brightness" (at least I have them).

Also, I'm reassigning the bug to kde-workspace as it contains both System Settings and PowerDevil.
Comment 2 Daniele 2012-08-31 04:17:11 EDT
Dear Martin,

i tried to modify the shortcuts but the result is the same...
default was Monitor Brightness Down/Up, i tried to change them to F2/F3 or fn+F2/fn+F3 where the functions are placed but nothing...
the strange thing is that on my screen appear the level increasing and decreasing but the brightness doesnt change.
Comment 3 Kevin Kofler 2012-08-31 06:19:24 EDT
The shortcuts are clearly not the problem then (you should reset them to the defaults), the brightness setting code is.
Comment 4 Daniele 2012-08-31 06:24:36 EDT
already reset ....what about brightness setting code?
Comment 5 Kevin Kofler 2012-08-31 06:31:23 EDT
It's a bug in kde-workspace or kdelibs, you can't easily fix that yourself.

Lukáš Tinkl has been looking after that code for a while, so I've assigned the bug to him.
Comment 6 Lukáš Tinkl 2012-09-14 06:07:24 EDT
Please try running "xev" from the console and see what output you get when pressing the brightness keys

I get sth like this:


KeyRelease event, serial 35, synthetic NO, window 0x2200001,
    root 0xaf, subw 0x0, time 3169605, (709,458), root:(713,481),
    state 0x0, keycode 233 (keysym 0x1008ff02, XF86MonBrightnessUp), same_screen YES,
    XLookupString gives 0 bytes: 
    XFilterEvent returns: False
Comment 7 Daniele 2012-09-17 01:48:34 EDT
KeyRelease event, serial 37, synthetic NO, window 0x5400001,
    root 0x162, subw 0x0, time 1455875, (-947,381), root:(69,405),
    state 0x0, keycode 233 (keysym 0x1008ff02, XF86MonBrightnessUp), same_screen YES,
    XLookupString gives 0 bytes: 
    XFilterEvent returns: False

this is what the output said....
Comment 8 Lukáš Tinkl 2012-09-17 06:29:15 EDT
Looks correct then.. can you reproduce it with a newly created user account?
Comment 9 Daniele 2012-09-17 07:33:32 EDT
here the output with a new user account: 

MappingNotify event, serial 36, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 8, count 248

FocusOut event, serial 36, synthetic NO, window 0x3a00001,
    mode NotifyGrab, detail NotifyAncestor

FocusIn event, serial 37, synthetic NO, window 0x3a00001,
    mode NotifyUngrab, detail NotifyAncestor

KeymapNotify event, serial 37, synthetic NO, window 0x0,
    keys:  1   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   
           0   0   0   0   0   0   0   0   0   0   0   0   0   2   0   0   

KeyRelease event, serial 37, synthetic NO, window 0x3a00001,
    root 0x162, subw 0x0, time 13670634, (-341,495), root:(324,518),
    state 0x0, keycode 233 (keysym 0x1008ff02, XF86MonBrightnessUp), same_screen YES,
    XLookupString gives 0 bytes: 
    XFilterEvent returns: False

also now nothing happened...on the screen the icon brightness appear but the brightness doesn't change.
Comment 10 Fedora End Of Life 2013-07-03 20:04:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 23:24:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.